Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: (opgelost) canon ip2700 installeren, installeert wel maar doet het niet  (gelezen 3446 keer)

Offline marcel1visser

  • Lid
  • Steunpunt: Nee
Hallo,

ik heb sinds kort een nieuwe pc en ipv windows er alleen ubuntu 10.10 opgezet. De printer is een canon pixma ip2700.
onder windows heeft de printer normaal gewerkt en dat wil ik natuurlijk ook graag onder ubuntu.

Ik kom een heel eind, maar hij print niet. Als ik een printopdracht geef en ik ga vervolgens naar de printopdrachten kijken dan staat er `completed'. Terwijl er niets uit de printer is gekomen.

Ik heb niet zo veel verstand nog van ubuntu, dus wie kan mij in simpel nederlands vertellen wat ik moet doen?

Met vriendelijke groet,

Marcel
« Laatst bewerkt op: 2011/02/23, 19:00:38 door marcel1visser »

Offline Pfoeh

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #1 Gepost op: 2011/02/20, 13:35:56 »
Hallo Marcel,

Wat heb je al gedaan om de printer te installeren?
Heb je de USB kabel aangesloten waarna Ubuntu naar een driver gezocht heeft en er eentje gekozen die hem wel goed leek? Het is namelijk mogelijk dat Ubuntu bijv. de drivers voor de IP2500 gekozen heeft omdat hij er geen andere beschikbaar heeft.
Dit zou goed uit kunnen pakken, maar in veel gevallen is dit niet het geval.

Voor de IP2700 zijn drivers te vinden op de volgende locatie: http://support-au.canon.com.au/contents/AU/EN/0100272002.html. Zoals je ziet zijn het Debian pakketjes (extensie .deb) die jij nodig hebt.

Download deze driver (effe naar beneden scrollen dus).
Zodra binnen ga je naar de map of bureaublad waar de drivers gedownload zijn. De map heet "cnijfilter-ip2700series-3.30-1-i386-deb.tar.gz". Na het openen van de map zie je o.a. de map "packages". Open deze en je treft twee bestandjes aan (cnijfilter-common_3.30-1_i386.deb & cnijfilter-ip2700series_3.30-1_i386.deb) die je moet installeren.
Installeren kun je door op de bestanden te dubbelklikken. Een installer wordt gestart en vraagt je om je wachtwoord in te typen. Hierna wordt de driver geïnstalleerd. Hierna doe je hetzelfde bij het tweede bestand.
Het kan zijn dat je een foutmelding krijgt die aangeeft dat hij de driver niet kan installeren vanwege het ontbreken van een bepaald pakket. Is dat het geval, probeer het dan eens door de volgorde van installatie aan te passen. Wellicht zit het ontbrekende bestand namelijk in het andere bestand.....)

De driver is nu geïnstalleerd dus als je nu de printer aanzet zou Ubuntu hem dus eigenlijk meteen moeten herkennen.
Het is echter mogelijk dat omdat je op basis van de "eerste versie" drivers al een printer aangemaakt hebt.
Je zou dus voor het aanzetten van de printer kunnen overwegen om via "Systeem - Afdrukken" de reeds geïnstalleerde printer te verwijderen. (rechter muisknop en kiezen voor verwijderen).
Als je nu de printer aanzet zal Ubuntu opnieuw gaan zoeken en nu wel de juiste driver vinden.

Als dit gelukt is kun je daarna de printer gaan "finetunen". Het is namelijk mogelijk dat de geïnstalleerde driver niet alle opties van je printer ten volle benut. Dit kan door gebruik te maken van de aanwijzingen op deze website: http://wiki.ubuntuusers.de/Canon-Drucker. Je kunt namelijk opties als randloos afdrukken, verschillen in kwaliteiten en greyscales toevoegen.

Kijk maar eerst of de bovenstaande tips werken.

Gr
Jeroen
Linux Registered user 485465

Beperkingen voor het vervoer van gevaarlijke stoffen, genoemd onder Tunnelcategorie E in randnummer 1.9.5.2.2. van bijlage 1, gelden voor de ArenAtunnel, gelegen onder de Amsterdam ArenA, te Amsterdam.

Offline marcel1visser

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #2 Gepost op: 2011/02/20, 14:08:21 »
Beste Jeroen,

Ik ben begonnen de printer uit te zetten en het geinstalleerde gedeelte te verwijderen.

Het downloaden met de link gaat goed. Dan kom ik inderdaad uiteindelijk bij de twee bestandjes uit genaamd:
 cnijfilter-common_3.30-1_i386.deb & cnijfilter-ip2700series_3.30-1_i386.deb
In welke volgorde ik het ook doe, ik krijg in mijn sofwarecentrum de volgende melding:
Verkeerde architectuur 'i386'
Ik krijg dus ook niet de kans om het wachtwoord in te voeren.

Hoe nu verder?

Groet

Marcel

Offline Pfoeh

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #3 Gepost op: 2011/02/20, 14:12:08 »
Hallo Marcel,

Heb jij de 64 bits versie van Ubuntu geïnstalleerd?
Zo ja, dan moeten we via "force architecture" (of zoiets) de 32 bit bestanden omzetten naar 64 bit.
Ik moet nu weg dus ik kan je dit op dit moment niet uitleggen.
Als niemand anders je hiermee kan helpen dan kom ik hier nog even op terug.

Gr
Jeroen
Linux Registered user 485465

Beperkingen voor het vervoer van gevaarlijke stoffen, genoemd onder Tunnelcategorie E in randnummer 1.9.5.2.2. van bijlage 1, gelden voor de ArenAtunnel, gelegen onder de Amsterdam ArenA, te Amsterdam.

Offline marcel1visser

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #4 Gepost op: 2011/02/20, 14:16:43 »
Hallo Jeroen,

Bedankt voor je snelle reacties. Ik heb inderdaad de 64 bit versie geinstalleerd.
Ik hoop dat je me verder kan helpen, maar ik ga wel even googlen of ik hetgeen jij beschrijft zelf kan vinden.

Zodra dat gelukt is, zal ik nog even nieuwe reactie posten. Zo niet, dan is het nog niet gelukt.

Marcel

Offline Pfoeh

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #5 Gepost op: 2011/02/20, 18:23:36 »
Hallo Marcel,

Ik heb even gezocht en heb dit draadje gevonden http://forum.ubuntu-nl.org/hardware-en-drivers/canon-mp640-en-kubuntu-9-10/ waarin de volgende oplossing geboden wordt:

cd packages
sudo dpkg -i --force architecture ./cnijfilter-common_3.30-1_i386.deb
sudo dpkg -i --force architecture ./cnijfilter-ip2700series_3.30-1_i386.deb

Kopieer dus even de map "packages" met de twee deb bestanden naar je home map en voer dan even de bovenstaande commando's uit.
Als het goed is worden de deb bestanden dan omgezet van 32 naar 64 bit. Ik verwacht dat het bestand meteen bewerkt wordt en dat je dus géén "kopie" van het bestand maar nu met 64 bits versie krijgt.

Door de code cd packages in de terminal in te voeren, ga je de commando's die normaal gesproken uitgevoerd worden op het bestand in de "home" map, nu uitgevoerd op de bestanden in de map "packages" die in je home map staat.

De terminal kun je vinden via: toepassingen - hulpmiddelen - terminalvenster.

Zodra er in het commando de term "sudo" staat, heeft dit tot gevolg dat je het password in moet voeren.

Succes,
Jeroen
Linux Registered user 485465

Beperkingen voor het vervoer van gevaarlijke stoffen, genoemd onder Tunnelcategorie E in randnummer 1.9.5.2.2. van bijlage 1, gelden voor de ArenAtunnel, gelegen onder de Amsterdam ArenA, te Amsterdam.

Offline marcel1visser

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #6 Gepost op: 2011/02/20, 19:30:51 »
Beste Jeroen,

Ik heb de map packages naar home-marcel1visser gekopieerd.
Vervolgens in terminalvenster hetgeen jij had getikt gekopieerd.
daarna sudo wachtwoord. (1e keer fout maar dat maakt niet uit)
 
En toen kreeg ik deze melding
marcel1visser@marcel1visser-desktop:~$ cd packages
marcel1visser@marcel1visser-desktop:~/packages$ sudo dpkg -i --force architecture ./cnijfilter-common_3.30-1_i386.deb
[sudo] password for marcel1visser:
Sorry, try again.
[sudo] password for marcel1visser:
dpkg: waarschuwing: overriding problem because --force enabled:
 pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
Selecteren van voorheen niet geselecteerd pakket cnijfilter-common.
(Database inlezen ... 153921 bestanden en mappen geïnstalleerd.)
Uitpakken van cnijfilter-common (uit .../cnijfilter-common_3.30-1_i386.deb) ...
Instellen van cnijfilter-common (3.30-1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
marcel1visser@marcel1visser-desktop:~/packages$


Vervolgens zie ik niet dat er een kopie is gemaakt van de bestanden en klikte ik op de een van de twee bestanden:
en geeft ie nog steeds de foutmelding:
Verkeerde architectuur 'i386'

En printer zegt steeds dat hij de taak heeft voltooid, terwijl er niets is uitgekomen.

Ik doe kennelijk iets verkeerd, maar snap echt niet wat.

Groet

Marcel

Offline Pfoeh

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #7 Gepost op: 2011/02/20, 21:01:05 »
Hallo Marcel,

Dat wil dus zeggen dat het omzetten naar 64 bit niet gelukt is.

Ik moet nu zelf ook verder gaan zoeken naar hoe dit op te lossen.
Zodra ik een oplossing heb zal ik me melden.

Andere forumleden: van harte welkom als jullie suggesties hebben ;)

Gr
Jeroen
Linux Registered user 485465

Beperkingen voor het vervoer van gevaarlijke stoffen, genoemd onder Tunnelcategorie E in randnummer 1.9.5.2.2. van bijlage 1, gelden voor de ArenAtunnel, gelegen onder de Amsterdam ArenA, te Amsterdam.

Offline Pfoeh

  • Lid
  • Steunpunt: Nee
Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #8 Gepost op: 2011/02/21, 00:03:06 »
Hallo Marcel,

Na wat zoekwerk kwam ik op een ander forum (http://ubuntuforums.org/showthread.php?t=1358586&page=2 post 15/16) hetzelfde tegen als wat Vistaus in het NL forum schreef over de MP640: installeer ia32-libs met volgende commando:
- sudo apt-get install ia32-libs

Ik weet niet of dit het draaien van 32 bit software op een 64 bit OS mogelijk maakt of dat je dit pakket nodig hebt om de driver van 32 naar 64  bit om te kunnen zetten.

Probeer dus eens om na dit geïnstalleerd te hebben de 32 bit drivers opnieuw te installeren. Lukt dit dan is het mooi en kun je kijken naar de finetuning.
Lukt dit niet dan kun je alsnog de beide commando's nogmaals uitvoeren (cd packages
sudo dpkg -i --force architecture ./cnijfilter-common_3.30-1_i386.deb
sudo dpkg -i --force architecture ./cnijfilter-ip2700series_3.30-1_i386.deb)

Verder kwam ik de volgende link tegen die je wellicht van dienst kan zijn: http://ubuntuforums.org/showthread.php?t=1408300&highlight=ip2700+64+bit. Zie bericht nr. 5 waarin een stap voor stap plan uitgeschreven staat.
Zoals je ziet laat hij het bestand op het bureaublad neerzetten.... Wel even de juiste pakketnamen gebruiken. Doe je dit niet kan zal Ubuntu het pakket niet kunnen vinden. Ook opletten op hoofdletter gevoeligheid. Ook een naam als "Desktop" zal je als "Bureaublad" moeten omschrijven.

Succes,
Jeroen
« Laatst bewerkt op: 2011/02/21, 00:04:59 door Pfoeh »
Linux Registered user 485465

Beperkingen voor het vervoer van gevaarlijke stoffen, genoemd onder Tunnelcategorie E in randnummer 1.9.5.2.2. van bijlage 1, gelden voor de ArenAtunnel, gelegen onder de Amsterdam ArenA, te Amsterdam.

Offline marcel1visser

  • Lid
  • Steunpunt: Nee
(opgelost) Re: canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #9 Gepost op: 2011/02/23, 18:59:52 »
Beste Jeroen,

Het werkt, hij print.

De kern van de oplossing ligt in twee delen:
1 printer uit en niet op pc aangesloten voor je gaat installeren
2 packages op bureaublad uitpakken en vervolgens de opdrachten zoals je die gegeven had, maar ipv packages bureaublad.

Daarna printer aansluiten en aanzetten en printen!

Super. Ik ben als een kind zo blij. Joepie. Hartelijk dank voor je geduld en je goede uitleg.

Groet

Marcel

Offline Pfoeh

  • Lid
  • Steunpunt: Nee
Re: (opgelost) canon ip2700 installeren, installeert wel maar doet het niet
« Reactie #10 Gepost op: 2011/02/23, 19:43:22 »
Graag gedaan en blij dat het werkt; mijn ideeën waren wel aardig uitgeput  ;)

Het kan zijn dat je met deze drivers wat beperkte mogelijkheden hebt. In dat geval kun je de boel wat finetunen. Zie hiervoor de link naar de Duitse website in bericht 2.
Het geeft je meer mogelijkheden zoals randloos printen (als de printer dit ondersteunt), meer verschillende kwaliteiten etc.

Veel print plezier gewenst!

Gr
Jeroen
Linux Registered user 485465

Beperkingen voor het vervoer van gevaarlijke stoffen, genoemd onder Tunnelcategorie E in randnummer 1.9.5.2.2. van bijlage 1, gelden voor de ArenAtunnel, gelegen onder de Amsterdam ArenA, te Amsterdam.